package com.huimv.produce.warning.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.produce.warning.entity.BaseWarningInfo;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-12-02
 */
public interface IBaseWarningInfoService extends IService<BaseWarningInfo> {

    Result listWarningInfoZoology(Map<String, String> map);

    Result listWarningInfoSewage(Map<String, String> map);

    Result listWarningInfo(Map<String, String> map);


    Result listWarningInfoScreen(Map<String, String> map);

    Result listAllWarning(Map<String, String> map);

    Result setWarningStatus(Map<String, String> map);

    Result newAlarm(Map<String, String> map) throws ParseException;

    Result getLastWarning(Map<String,String> map);
}
